%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Cli_Modular
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Cli-Modular
Version:        2.1.0
Release:        1%{?dist}
Summary:        A toolset for CLI interfaces that are modular
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Argv) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Argv) <  3.0.0alpha1

BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  gettext
BuildRequires:  php-pear(%{pear_channel}/Horde_Argv) >= 2.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Command line interfaces can often be composed of different modules responsible 
for distinct actions. This package allows each such module to influence the 
overall command line interface. First and foremost each module can add its own 
option group with a specific title, description and a set of module specific 
options (see Horde_Argv_OptionGroup for further details). In addition 
Cli_Modular allows a module to modify the global usage string and add basic 
options valid for all modules.


%prep
%setup -q -c

cd %{pear_name}-%{version}

# Don't install .po and .pot files
# Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml


%build
#cd %{pear_name}-%{version}

# Regenerate the locales
#for po in $(find locale -name \*.po)
#do
#   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
#done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

#for loc in locale/{??,??_??}
#do
#    lang=$(basename $loc)
#    test -d $loc && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
#done | tee ../%{pear_name}.lang


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit -d date.timezone=UTC .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files 
#-f %{pear_name}.lang
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Cli/Modular.php
%{pear_phpdir}/Horde/Cli/Modular
%{pear_testdir}/%{pear_name}

%changelog
* Thu May 04 2017 josef radinger <cheese@nosuchhost.net> - 2.1.0-1
- bump version
- remove locale-section

* Thu Mar 17 2016 josef radinger <cheese@nosuchhost.net> - 2.0.4-1
- initial version

